Subject: Most effective weight loss

From: Weight Loser <[email-masked]>
Date: Tue, 27 Mar 2007 23:26:15 +0300

HoodiaLifeTM - most effective weight loss supplement!

If you havent heard of HoodiaLife yet, you soon will because it is being
touted as the new miracle supplement for safe, effective weight loss. Hoodia
gordonii, (Hoodia) is the botanical name for a cactus like plant that grows
in Southern Africa. Scientists have recently isolated several compounds
in this amazing plant that are responsible for dramatic weight loss. This
all-natural appetite suppressant is also being applauded for containing
no dangerous stimulants that caused adverse side effects associated with
weight loss products of the last decade.

Start losing weight today and order HoodiaLife